package bz.bronze.wat;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class Controls implements KeyListener {
	// Player 1 Booleans \\
	
	static boolean moveUp1;
	static boolean moveDown1;
	static boolean moveLeft1;
	static boolean moveRight1;
	
	// Player 2 Booleans \\
	
	static boolean moveUp2;
	static boolean moveDown2;
	static boolean moveLeft2;
	static boolean moveRight2;
	
	// Shared Booleans \\
	
	static boolean reset;
	
	public void keyTyped(KeyEvent e) {
		
	}

	public void keyPressed(KeyEvent e) {
		int keyCode = e.getKeyCode();
		
		System.out.println("Key Code Pressed: " + keyCode);
		
		switch (keyCode)
		{
			// Player 1 Controls \\
		
			case 87:
				moveUp1 = true;
				break;
			case 83:
				moveDown1 = true;
				break;
			case 68:
				moveRight1 = true;
				break;
			case 65:
				moveLeft1 = true;
				break;
				
			// Player 2 Controls \\
				
			case 38:
				moveUp2 = true;
				break;
			case 40:
				moveDown2 = true;
				break;
			case 39:
				moveRight2 = true;
				break;
			case 37:
				moveLeft2 = true;
				break;
				
			// Shared Controls \\
				
			case 32:
				reset = true;
				break;
			case 16:
				Player.speedModifier = 3;
				break;
		}
	}

	public void keyReleased(KeyEvent e) {
		int keyCode = e.getKeyCode();
		
		System.out.println("Key Code Released: " + keyCode);
		
		switch (keyCode)
		{
			// Player 1 Controls \\
		
			case 87:
				moveUp1 = false;
				break;
			case 83:
				moveDown1 = false;
				break;
			case 68:
				moveRight1 = false;
				break;
			case 65:
				moveLeft1 = false;
				break;
				
			// Player 2 Controls \\
				
			case 38:
				moveUp2 = false;
				break;
			case 40:
				moveDown2 = false;
				break;
			case 39:
				moveRight2 = false;
				break;
			case 37:
				moveLeft2 = false;
				break;
				
			// Shared Controls \\
				
			case 32:
				reset = false;
				break;
			case 16:
				Player.speedModifier = 1;
				break;
		}
	}

}