package bz.bronze.wat;

import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JPanel;

public class Renderer extends JPanel {
	private static final long serialVersionUID = -9142234797559997422L;
	
	public void paintComponent(Graphics g)
	{
		super.paintComponent(g); // Wipes Previous Frames
		
		g.setColor(Color.CYAN); // Set Player 1 Color
		
		if (Player.isAlive1)
		{
			g.fillOval(Player.x1, Player.y1, Player.width1, Player.height1);
		}
		
		g.setColor(Color.RED); // Set Player 2 Color
		
		if (Player.isAlive2)
		{
			g.fillOval(Player.x2, Player.y2, Player.width2, Player.height2);
		}
	}
}